﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">

    function AddPOSystemCode(s, e) {
        popupnew.SetHeaderText('PO System Code Master Info Add ');
        popupnew.Show();
    }

    function GridPOSystemMaster_BeginCallback(s, e) {
        e.customArgs["System_Cd"] = grlPOSystemCd.GetText();
        e.customArgs["System_Value"] = txtValueSearch.GetText();
        e.customArgs["System_Desc"] = txtSystemDescSearch.GetText();
    }

    function btnSave_click(s, e) {
        if (validating_insert()) 
        {
            //---=== Ajax store
            $.ajax({
                type: "POST",
                url: "@Url.Content("~/POSystemMaster/AddingPOSystemMastern")",
                data: {
                        System_Cd: txtSystemCd.GetText(),
                        System_Desc: txtSystemDesc.GetText(),
                        System_Value: txtValue.GetText(),
                        System_ValueRemark: txtValueRemark.GetText()
                    },
                    success: function (result) {
                        var resValue = result.split('|');
                        if (resValue[0] == 'Error')
                        {
                            alert(resValue[1]);
                        }
                        else
                        {
                            GridPOSystemMaster.PerformCallback();
                            ClearForm();
                        }
                    },
                    error: function (result) {
                        var resValue = result.split('|');
                        alert(resValue[1]);
                        ClearForm();
                        GridPOSystemMaster.PerformCallback();
                    }
                });
                //---=== End ajax store
        } 
        else 
        {
            alert('Please, fill all fields.');
        }
    }

    function validating_insert() {
        var result = true;
        
        if (txtSystemCd.GetText() == '')
            result = false;

        if (txtSystemDesc.GetText() == '')
            result = false;

        if (txtValue.GetText() == '')
            result = false;

        if (txtValueRemark.GetText() == '')
            result = false;

        return result;
    }

    
    function ClearForm() {
        popupnew.Hide();
        txtSystemCd.SetText('');
        txtSystemDesc.SetText('');
        txtValue.SetText('');
        txtValueRemark.SetText('');
    }

    function btnCancel_click(s, e) {
        ClearForm();
    }
    
    function btnSearch_click(s, e) {
        if (grlPOSystemCd.GetText() != '')
        {
            GridPOSystemMaster.PerformCallback();
        }
        else
        {
            alert('Please, fill mandatory parameter search.');
        }
    }

    function btnClear_click(s, e) {
        grlPOSystemCd.SetText('');
        GridgrlPOSystemCd.UnselectRows();
        txtValueSearch.SetText('');
        txtSystemDescSearch.SetText('');
    }

</script>


<div style="width:1124px;padding-right:0px; padding-bottom:15px; ">

    <table width="200">
        <tr>
            <td style="border:1px solid #142B94;background-color:#DEECFD;padding:10px;">
                @Html.Partial("IndexHeader")
            </td>
        </tr>
    </table>
  
    <table>
        <tr>
            <td>
                @Html.Action("GridPOSystemMaster", "POSystemMaster")
            </td>
        </tr>
    </table>

    @Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupnew";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(25);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        settings.SetContent(() =>
        {
            Html.RenderPartial("PopupAdd");
        });
    }).GetHtml()


</div>
